Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::Profile::Board::Chip

struct Nes::Api::Cartridge::Profile::Board::Chip

Custom chip.

Field Summary
`bool` | `battery` battery connected to custom chip.
`std::wstring` | `file` File pointing to custom chip.
`std::wstring` | `package` Custom chip package type.
`Pins` | `pins` Custom chip pins.
`Samples` | `samples` Analogue sound samples for custom chip.
`std::wstring` | `type` Custom chip type.

Constructor Summary
`Chip()`

Field Detail

### battery

    public bool battery;

  battery connected to custom chip.

### file

    public std::wstring file;

  File pointing to custom chip.

### package

    public std::wstring package;

  Custom chip package type.

### pins

    public Pins pins;

  Custom chip pins.

### samples

    public Samples samples;

  Analogue sound samples for custom chip.

### type

    public std::wstring type;

  Custom chip type.

Constructor Detail

### Chip

    public Chip() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD